// @ts-ignore
/* eslint-disable */
import request from '../request';

/** 创建纸箱品牌 POST /operation/createBoxBrand */
export async function createBoxBrand(
	body: BusinessAPI.BoxBrandCreateCmd,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.SingleResponseBoxBrandVO>(
		'/operation/createBoxBrand',
		{
			method: 'POST',
			headers: {
				'Content-Type': 'application/json',
			},
			data: body,
			...(options || {}),
		},
	);
}

/** 纸箱品牌删除 DELETE /operation/destroyBoxBrand */
export async function destroyBoxBrand(
	body: BusinessAPI.BoxBrandDestroyCmd,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.Response>('/operation/destroyBoxBrand', {
		method: 'DELETE',
		headers: {
			'Content-Type': 'application/json',
		},
		data: body,
		...(options || {}),
	});
}

/** 纸箱品牌拖拽排序 PUT /operation/dragBoxBrand */
export async function dragBoxBrand(
	body: BusinessAPI.BoxBrandDragCmd,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.Response>('/operation/dragBoxBrand', {
		method: 'PUT',
		headers: {
			'Content-Type': 'application/json',
		},
		data: body,
		...(options || {}),
	});
}

/** 纸箱品牌拖拽排序 PATCH /operation/dragBoxBrand */
export async function dragBoxBrand1(
	body: BusinessAPI.BoxBrandDragCmd,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.Response>('/operation/dragBoxBrand', {
		method: 'PATCH',
		headers: {
			'Content-Type': 'application/json',
		},
		data: body,
		...(options || {}),
	});
}

/** 纸箱品牌列表 GET /operation/listBoxBrand */
export async function listBoxBrand(
	// 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
	params: BusinessAPI.listBoxBrandParams,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.MultiResponseBoxBrandVO>(
		'/operation/listBoxBrand',
		{
			method: 'GET',
			params: {
				...params,
				boxBrandListQry: undefined,
				...params['boxBrandListQry'],
			},
			...(options || {}),
		},
	);
}

/** 纸箱品牌列表 GET /operation/pageBoxBrand */
export async function pageBoxBrand(
	// 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
	params: BusinessAPI.pageBoxBrandParams,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.PageResponseBoxBrandVO>(
		'/operation/pageBoxBrand',
		{
			method: 'GET',
			params: {
				...params,
				boxBrandPageQry: undefined,
				...params['boxBrandPageQry'],
			},
			...(options || {}),
		},
	);
}

/** 纸箱品牌详情 GET /operation/showBoxBrand */
export async function showBoxBrand(
	// 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
	params: BusinessAPI.showBoxBrandParams,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.SingleResponseBoxBrandVO>(
		'/operation/showBoxBrand',
		{
			method: 'GET',
			params: {
				...params,
				boxBrandShowQry: undefined,
				...params['boxBrandShowQry'],
			},
			...(options || {}),
		},
	);
}

/** 纸箱品牌更新 PUT /operation/updateBoxBrand */
export async function updateBoxBrand(
	body: BusinessAPI.BoxBrandUpdateCmd,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.SingleResponseBoxBrandVO>(
		'/operation/updateBoxBrand',
		{
			method: 'PUT',
			headers: {
				'Content-Type': 'application/json',
			},
			data: body,
			...(options || {}),
		},
	);
}

/** 纸箱品牌更新 PATCH /operation/updateBoxBrand */
export async function updateBoxBrand1(
	body: BusinessAPI.BoxBrandUpdateCmd,
	options?: { [key: string]: any },
) {
	return request<BusinessAPI.SingleResponseBoxBrandVO>(
		'/operation/updateBoxBrand',
		{
			method: 'PATCH',
			headers: {
				'Content-Type': 'application/json',
			},
			data: body,
			...(options || {}),
		},
	);
}
